Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 5116)
@@ -2744,7 +2733,7 @@
 
       ierr = nf90_open(fich_gabls4,nf90_nowrite,nid)
-      if (ierr.NE.nf90_noerr) then
-         write(*,*) 'ERROR: Pb opening forcings nc file '
-         write(*,*) nf90_strerror(ierr)
+      if (ierr.NE.nf90_noerr) THEN
+         WRITE(*,*) 'ERROR: Pb opening forcings nc file '
+         WRITE(*,*) nf90_strerror(ierr)
          stop ""
       endif
@@ -2752,89 +2741,89 @@
 
        ierr=nf90_inq_varid(nid,"height",var3didin(1))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'height'
          endif
 
       ierr=nf90_inq_varid(nid,"depth_sn",var3didin(2))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'depth_sn'
       endif
 
       ierr=nf90_inq_varid(nid,"Ug",var3didin(3))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'Ug'
       endif
 
       ierr=nf90_inq_varid(nid,"Vg",var3didin(4))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'Vg'
       endif
        ierr=nf90_inq_varid(nid,"pf",var3didin(5))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'pf'
          endif
 
       ierr=nf90_inq_varid(nid,"theta",var3didin(6))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'theta'
          endif
 
       ierr=nf90_inq_varid(nid,"tempe",var3didin(7))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'tempe'
          endif
 
       ierr=nf90_inq_varid(nid,"qv",var3didin(8))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'qv'
          endif
 
       ierr=nf90_inq_varid(nid,"u",var3didin(9))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'u'
          endif
 
       ierr=nf90_inq_varid(nid,"v",var3didin(10))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'v'
          endif
 
       ierr=nf90_inq_varid(nid,"hadvT",var3didin(11))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'hadvt'
          endif
 
       ierr=nf90_inq_varid(nid,"hadvQ",var3didin(12))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'hadvq'
       endif
 
       ierr=nf90_inq_varid(nid,"Tsnow",var3didin(14))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'tsnow'
       endif
 
       ierr=nf90_inq_varid(nid,"snow_density",var3didin(15))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'snow_density'
       endif
 
       ierr=nf90_inq_varid(nid,"Tg",var3didin(16))
-         if(ierr/=nf90_noerr) then
-           write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+           WRITE(*,*) nf90_strerror(ierr)
            stop 'Tg'
       endif
@@ -2845,90 +2834,90 @@
  
          ierr = nf90_get_var(nid,var3didin(1),zz_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = nf90_get_var(nid,var3didin(2),depth_sn)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = nf90_get_var(nid,var3didin(3),ug_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = nf90_get_var(nid,var3didin(4),vg_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = nf90_get_var(nid,var3didin(5),pf_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = nf90_get_var(nid,var3didin(6),th_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = nf90_get_var(nid,var3didin(7),t_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = nf90_get_var(nid,var3didin(8),qv_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = nf90_get_var(nid,var3didin(9),u_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = nf90_get_var(nid,var3didin(10),v_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = nf90_get_var(nid,var3didin(11),hadvt_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = nf90_get_var(nid,var3didin(12),hadvq_i)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = nf90_get_var(nid,var3didin(14),tsnow)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
  
          ierr = nf90_get_var(nid,var3didin(15),snow_dens)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
 
          ierr = nf90_get_var(nid,var3didin(16),tg)
-         if(ierr/=nf90_noerr) then
-            write(*,*) nf90_strerror(ierr)
+         IF(ierr/=nf90_noerr) THEN
+            WRITE(*,*) nf90_strerror(ierr)
             stop "getvarup"
          endif
@@ -2950,5 +2939,5 @@
          enddo
 
- end subroutine read_gabls4
+ END SUBROUTINE read_gabls4
 !=====================================================================
 
@@ -3056,5 +3045,5 @@
  
 
-      end subroutine read_circ
+      END SUBROUTINE read_circ
 !=====================================================================
 !     Reads RTMIP input files      
@@ -3093,4 +3082,4 @@
  
 
-      end subroutine read_rtmip
+      END SUBROUTINE read_rtmip
 !=====================================================================
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_interp_cases.h
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_interp_cases.h	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_interp_cases.h	(revision 5116)
@@ -5,5 +5,5 @@
 ! Forcing_LES case: constant dq_dyn
 !---------------------------------------------------------------------
-      if (forcing_LES) then
+      if (forcing_LES) THEN
         DO l = 1,llm
           d_q_adv(l,1) = dq_dyn(l,1)
@@ -14,6 +14,5 @@
 ! Interpolation forcing in time and onto model levels
 !---------------------------------------------------------------------
-      if (forcing_GCSSold) then
-
+      if (forcing_GCSSold) THEN
        CALL get_uvd(it,timestep,fich_gcssold_ctl,fich_gcssold_dat,              &
      &               ht_gcssold,hq_gcssold,hw_gcssold,                          &
@@ -22,5 +21,5 @@
      &               imp_fcg_gcssold,ts_fcg_gcssold,                            &
      &               Tp_fcg_gcssold,Turb_fcg_gcssold)
-       if (prt_level.ge.1) then
+       if (prt_level.ge.1) THEN
          print *,' get_uvd -> hqturb_gcssold ',it,hqturb_gcssold
        endif
@@ -47,7 +46,6 @@
 ! Interpolation Toga forcing 
 !---------------------------------------------------------------------
-      if (forcing_toga) then
-
-       if (prt_level.ge.1) then
+      if (forcing_toga) THEN
+       if (prt_level.ge.1) THEN
         PRINT*,                                                             &
      & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_toga=',     &
@@ -93,7 +91,6 @@
 ! Interpolation DICE forcing 
 !---------------------------------------------------------------------
-      if (forcing_dice) then
-
-       if (prt_level.ge.1) then
+      if (forcing_dice) THEN
+       if (prt_level.ge.1) THEN
         PRINT*,'#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_dice=',&
      &    day,day1,(day-day1)*86400.,(day-day1)*86400/dt_dice
@@ -194,7 +191,6 @@
 ! Interpolation gabls4 forcing 
 !---------------------------------------------------------------------
-      if (forcing_gabls4 ) then
-
-       if (prt_level.ge.1) then
+      if (forcing_gabls4 ) THEN
+       if (prt_level.ge.1) THEN
         PRINT*,'#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_gabls4=',&
      &    day,day1,(day-day1)*86400.,(day-day1)*86400/dt_gabls4
@@ -236,6 +232,5 @@
 ! Interpolation forcing TWPice
 !---------------------------------------------------------------------
-      if (forcing_twpice) then
-
+      if (forcing_twpice) THEN
         PRINT*,                                                             &
      & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_twpi=',     &
@@ -282,7 +277,7 @@
 !wind nudging above 500m with a 2h time scale
         do l=1,llm
-        if (nudge_wind) then
-!           if (phi(l).gt.5000.) then
-        if (phi(l).gt.0.) then
+        if (nudge_wind) THEN
+!           if (phi(l).gt.5000.) THEN
+        if (phi(l).gt.0.) THEN
         u(l)=u(l)+timestep*(u_mod(l)-u(l))/(2.*3600.)
         v(l)=v(l)+timestep*(v_mod(l)-v(l))/(2.*3600.)
@@ -295,12 +290,12 @@
 
 !CR:nudging of q and theta with a 6h time scale above 15km
-        if (nudge_thermo) then
+        if (nudge_thermo) THEN
         do l=1,llm
            zz(l)=phi(l)/9.8
-           if ((zz(l).le.16000.).and.(zz(l).gt.15000.)) then
+           if ((zz(l).le.16000.).and.(zz(l).gt.15000.)) THEN
              zfact=(zz(l)-15000.)/1000.
         q(l,1)=q(l,1)+timestep*(q_mod(l)-q(l,1))/(6.*3600.)*zfact
         temp(l)=temp(l)+timestep*(t_mod(l)-temp(l))/(6.*3600.)*zfact
-           else if (zz(l).gt.16000.) then 
+           else if (zz(l).gt.16000.) THEN
         q(l,1)=q(l,1)+timestep*(q_mod(l)-q(l,1))/(6.*3600.)
         temp(l)=temp(l)+timestep*(t_mod(l)-temp(l))/(6.*3600.)
@@ -314,5 +309,5 @@
        alpha = rd*temp(l)*(1.+(rv/rd-1.)*q(l,1))/play(l)
 !calcul de l'advection totale
-        if (cptadvw) then
+        if (cptadvw) THEN
         d_t_adv(l) = alpha*omega(l)/rcpd+ht_mod(l)-d_t_dyn_z(l)
 !        PRINT*,'temp vert adv',l,ht_mod(l),vt_mod(l),-d_t_dyn_z(l)
@@ -333,6 +328,5 @@
 !---------------------------------------------------------------------
 
-       if (forcing_amma) then
-
+       if (forcing_amma) THEN
         PRINT*,                                                             &
      & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_amma=',     &
@@ -358,5 +352,5 @@
        enddo
 ! vertical interpolation using TOGA interpolation routine:
-!      write(*,*)'avant interp vert', t_proftwp
+!      WRITE(*,*)'avant interp vert', t_proftwp
       CALL interp_toga_vertical(play,nlev_amma,plev_amma                      &
      &         ,th_profamma,q_profamma,u_profamma,v_profamma                 &
@@ -365,5 +359,5 @@
      &         ,t_mod,q_mod,u_mod,v_mod,w_mod                               &
      &         ,ht_mod,vt_mod,hq_mod,vq_mod,mxcalc)
-       write(*,*) 'Profil initial forcing AMMA interpole'
+       WRITE(*,*) 'Profil initial forcing AMMA interpole'
 
 
@@ -416,5 +410,5 @@
 ! Interpolation forcing Rico
 !---------------------------------------------------------------------
-      if (forcing_rico) then
+      if (forcing_rico) THEN
 !      CALL lstendH(llm,omega,dt_dyn,dq_dyn,du_dyn, dv_dyn,q,temp,u,v,play)
        CALL lstendH(llm,nqtot,omega,dt_dyn,dq_dyn,q,temp,u,v,play)
@@ -430,6 +424,5 @@
 ! Interpolation forcing Arm_cu
 !---------------------------------------------------------------------
-      if (forcing_armcu) then
-
+      if (forcing_armcu) THEN
         PRINT*,                                                             &
      & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_armcu=',    &
@@ -486,6 +479,5 @@
 ! Interpolation forcing in time and onto model levels
 !---------------------------------------------------------------------
-      if (forcing_sandu) then
-
+      if (forcing_sandu) THEN
         PRINT*,                                                             &
      & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_sandu=',    &
@@ -546,5 +538,5 @@
 ! et une divergence constante -> profil de omega
       tsurf = ts_prof
-      write(*,*) 'SST suivante: ',tsurf
+      WRITE(*,*) 'SST suivante: ',tsurf
       do l = 1, llm
        omega(l) = omega_mod(l)
@@ -568,6 +560,5 @@
 ! Interpolation forcing in time and onto model levels
 !---------------------------------------------------------------------
-      if (forcing_astex) then
-
+      if (forcing_astex) THEN
         PRINT*,                                                             &
      & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_astex=',    &
@@ -628,5 +619,5 @@
 ! la divergence,ug,vg,ufa,vfa
       tsurf = ts_prof
-      write(*,*) 'SST suivante: ',tsurf
+      WRITE(*,*) 'SST suivante: ',tsurf
       do l = 1, llm
        omega(l) = w_mod(l)
@@ -651,6 +642,5 @@
 ! Interpolation forcing standard case
 !---------------------------------------------------------------------
-      if (forcing_case) then
-
+      if (forcing_case) THEN
          PRINT*,'FORCING CASE forcing_case'
 
@@ -724,5 +714,5 @@
 
 !wind nudging 
-      if (nudge_u.gt.0.) then
+      if (nudge_u.gt.0.) THEN
         do l=1,llm
            u(l)=u(l)+timestep*(u_mod_cas(l)-u(l))/(nudge_u)
@@ -734,5 +724,5 @@
       endif
 
-      if (nudge_v.gt.0.) then
+      if (nudge_v.gt.0.) THEN
         do l=1,llm
            v(l)=v(l)+timestep*(v_mod_cas(l)-v(l))/(nudge_v)
@@ -744,5 +734,5 @@
       endif
 
-      if (nudge_w.gt.0.) then
+      if (nudge_w.gt.0.) THEN
         do l=1,llm
            w(l)=w(l)+timestep*(w_mod_cas(l)-w(l))/(nudge_w)
@@ -755,10 +745,10 @@
 
 !nudging of q and temp 
-      if (nudge_t.gt.0.) then
+      if (nudge_t.gt.0.) THEN
         do l=1,llm
            temp(l)=temp(l)+timestep*(t_mod_cas(l)-temp(l))/(nudge_t)
         enddo
       endif
-      if (nudge_q.gt.0.) then
+      if (nudge_q.gt.0.) THEN
         do l=1,llm
            q(l,1)=q(l,1)+timestep*(q_mod_cas(l)-q(l,1))/(nudge_q)
@@ -772,33 +762,33 @@
 
 !calcul advection
-        if ((tend_u.eq.1).and.(tend_w.eq.0)) then
+        if ((tend_u.eq.1).and.(tend_w.eq.0)) THEN
            d_u_adv(l)=du_mod_cas(l)
-        else if ((tend_u.eq.1).and.(tend_w.eq.1)) then
+        else if ((tend_u.eq.1).and.(tend_w.eq.1)) THEN
            d_u_adv(l)=hu_mod_cas(l)-d_u_dyn_z(l)
         endif
 
-        if ((tend_v.eq.1).and.(tend_w.eq.0)) then
+        if ((tend_v.eq.1).and.(tend_w.eq.0)) THEN
            d_v_adv(l)=dv_mod_cas(l)
-        else if ((tend_v.eq.1).and.(tend_w.eq.1)) then
+        else if ((tend_v.eq.1).and.(tend_w.eq.1)) THEN
            d_v_adv(l)=hv_mod_cas(l)-d_v_dyn_z(l)
         endif
 
-        if ((tend_t.eq.1).and.(tend_w.eq.0)) then
+        if ((tend_t.eq.1).and.(tend_w.eq.0)) THEN
 !           d_t_adv(l)=alpha*omega(l)/rcpd+dt_mod_cas(l)
            d_t_adv(l)=alpha*omega(l)/rcpd-dt_mod_cas(l)
-        else if ((tend_t.eq.1).and.(tend_w.eq.1)) then
+        else if ((tend_t.eq.1).and.(tend_w.eq.1)) THEN
 !           d_t_adv(l)=alpha*omega(l)/rcpd+ht_mod_cas(l)-d_t_dyn_z(l)
            d_t_adv(l)=alpha*omega(l)/rcpd-ht_mod_cas(l)-d_t_dyn_z(l)
         endif
 
-        if ((tend_q.eq.1).and.(tend_w.eq.0)) then
+        if ((tend_q.eq.1).and.(tend_w.eq.0)) THEN
 !           d_q_adv(l,1)=dq_mod_cas(l)
            d_q_adv(l,1)=-1*dq_mod_cas(l)
-        else if ((tend_q.eq.1).and.(tend_w.eq.1)) then
+        else if ((tend_q.eq.1).and.(tend_w.eq.1)) THEN
 !           d_q_adv(l,1)=hq_mod_cas(l)-d_q_dyn_z(l)
            d_q_adv(l,1)=-1*hq_mod_cas(l)-d_q_dyn_z(l)
         endif
          
-        if (tend_rayo.eq.1) then
+        if (tend_rayo.eq.1) THEN
            dt_cooling(l) = dtrad_mod_cas(l)
 !          print *,'dt_cooling=',dt_cooling(l)
@@ -824,6 +814,5 @@
 ! Interpolation forcing standard case
 !---------------------------------------------------------------------
-      if (forcing_case2 .OR. forcing_SCM) then
-
+      if (forcing_case2 .OR. forcing_SCM) THEN
          PRINT*,'FORCING CASE forcing_case2'
         PRINT*,                                                             &
@@ -915,5 +904,5 @@
 
 !geostrophic wind 
-      if (forc_geo.eq.1) then
+      if (forc_geo.eq.1) THEN
         do l=1,llm
         ug(l) = ug_mod_cas(l) 
@@ -922,5 +911,5 @@
       endif
 !wind nudging 
-      if (nudging_u.gt.0.) then
+      if (nudging_u.gt.0.) THEN
         do l=1,llm
            u(l)=u(l)+timestep*(u_mod_cas(l)-u(l))/(nudge_u)
@@ -932,5 +921,5 @@
       endif
 
-      if (nudging_v.gt.0.) then
+      if (nudging_v.gt.0.) THEN
         do l=1,llm
            v(l)=v(l)+timestep*(v_mod_cas(l)-v(l))/(nudge_v)
@@ -942,5 +931,5 @@
       endif
 
-      if (nudging_w.gt.0.) then
+      if (nudging_w.gt.0.) THEN
         do l=1,llm
            w(l)=w(l)+timestep*(w_mod_cas(l)-w(l))/(nudge_w)
@@ -953,10 +942,10 @@
 
 !nudging of q and temp 
-      if (nudging_t.gt.0.) then
+      if (nudging_t.gt.0.) THEN
         do l=1,llm
            temp(l)=temp(l)+timestep*(t_mod_cas(l)-temp(l))/(nudge_t)
         enddo
       endif
-      if (nudging_qv.gt.0.) then
+      if (nudging_qv.gt.0.) THEN
         do l=1,llm
            q(l,1)=q(l,1)+timestep*(q_mod_cas(l)-q(l,1))/(nudge_q)
@@ -971,13 +960,13 @@
 
 !calcul advections
-        if ((forc_u.eq.1).and.(forc_w.eq.0)) then
+        if ((forc_u.eq.1).and.(forc_w.eq.0)) THEN
            d_u_adv(l)=du_mod_cas(l)
-        else if ((forc_u.eq.1).and.(forc_w.eq.1)) then
+        else if ((forc_u.eq.1).and.(forc_w.eq.1)) THEN
            d_u_adv(l)=hu_mod_cas(l)-d_u_dyn_z(l)
         endif
 
-        if ((forc_v.eq.1).and.(forc_w.eq.0)) then
+        if ((forc_v.eq.1).and.(forc_w.eq.0)) THEN
            d_v_adv(l)=dv_mod_cas(l)
-        else if ((forc_v.eq.1).and.(forc_w.eq.1)) then
+        else if ((forc_v.eq.1).and.(forc_w.eq.1)) THEN
            d_v_adv(l)=hv_mod_cas(l)-d_v_dyn_z(l)
         endif
@@ -985,29 +974,29 @@
 ! Puisque dth a ete converti en dt, on traite de la meme facon 
 ! les flags tadv et thadv
-        if ((tadv.eq.1.or.thadv.eq.1) .and. (forc_w.eq.0)) then
+        if ((tadv.eq.1.or.thadv.eq.1) .and. (forc_w.eq.0)) THEN
 !          d_t_adv(l)=alpha*omega(l)/rcpd-dt_mod_cas(l)
            d_t_adv(l)=alpha*omega(l)/rcpd+dt_mod_cas(l)
-        else if ((tadv.eq.1.or.thadv.eq.1) .and. (forc_w.eq.1)) then
+        else if ((tadv.eq.1.or.thadv.eq.1) .and. (forc_w.eq.1)) THEN
 !          d_t_adv(l)=alpha*omega(l)/rcpd-ht_mod_cas(l)-d_t_dyn_z(l)
            d_t_adv(l)=alpha*omega(l)/rcpd+ht_mod_cas(l)-d_t_dyn_z(l)
         endif
 
-!       if ((thadv.eq.1) .and. (forc_w.eq.0)) then
+!       if ((thadv.eq.1) .and. (forc_w.eq.0)) THEN
 !          d_t_adv(l)=alpha*omega(l)/rcpd-dth_mod_cas(l)
 !          d_t_adv(l)=alpha*omega(l)/rcpd+dth_mod_cas(l)
-!       else if ((thadv.eq.1) .and. (forc_w.eq.1)) then
+!       else if ((thadv.eq.1) .and. (forc_w.eq.1)) THEN
 !          d_t_adv(l)=alpha*omega(l)/rcpd-hth_mod_cas(l)-d_t_dyn_z(l)
 !          d_t_adv(l)=alpha*omega(l)/rcpd+hth_mod_cas(l)-d_t_dyn_z(l)
 !       endif
 
-        if ((qadv.eq.1) .and. (forc_w.eq.0)) then
+        if ((qadv.eq.1) .and. (forc_w.eq.0)) THEN
            d_q_adv(l,1)=dq_mod_cas(l)
 !          d_q_adv(l,1)=-1*dq_mod_cas(l)
-        else if ((qadv.eq.1) .and. (forc_w.eq.1)) then
+        else if ((qadv.eq.1) .and. (forc_w.eq.1)) THEN
            d_q_adv(l,1)=hq_mod_cas(l)-d_q_dyn_z(l)
 !          d_q_adv(l,1)=-1*hq_mod_cas(l)-d_q_dyn_z(l)
         endif
          
-        if (trad.eq.1) then
+        if (trad.eq.1) THEN
            tend_rayo=1
            dt_cooling(l) = dtrad_mod_cas(l)
